Name:           python-lvm
License:        LGPLv2+
Group:          Development/Libraries
Summary:        Python module to access LVM
Version:        1.9.2
Release:        2%{?dist}
URL:            https://github.com/agrover/python-lvm/
Source:         https://github.com/downloads/agrover/%{name}/%{name}-%{version}.tar.gz
Patch0:         python-lvm-remove-find-bool.patch
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  lvm2-devel

%description
Python module to allow the creation and use of LVM
logical volumes, physical volumes, and volume groups.

%prep
%setup -q
%patch0 -p1

%build
%{__python} setup.py build

%install
%{__python} setup.py install --skip-build --root %{buildroot}

%files
%{python_sitearch}/*
%doc COPYING COPYING.LESSER README

%changelog
* Thu Nov 29 2012 Andy Grover <agrover@redhat.com> - 1.9.2-2
- Add remove-find-bool.patch to work on lvm 2.2.95

* Wed Oct 17 2012 Andy Grover <agrover@redhat.com> - 1.9.2-1
- Update for new upstream release

* Mon Oct 15 2012 Andy Grover <agrover@redhat.com> - 1.9-1
- Update for new upstream release

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue May 15  2012 Andy Grover <agrover@redhat.com> - 1.2.2-1
* new upstream bugfix release

* Mon May 14  2012 Andy Grover <agrover@redhat.com> - 1.2.1-1
* new upstream bugfix release

* Mon May 14  2012 Andy Grover <agrover@redhat.com> - 1.2-1
* new upstream release

* Fri May 4 2012 Andy Grover <agrover@redhat.com> - 1.1.1-1
- New upstream bugfix release
- Changes based on improved upstream packaging

* Tue Apr 17 2012 Andy Grover <agrover@redhat.com> - 1.1-1
- New upstream release
- Correct License field to LGPLv2+

* Thu Apr 12 2012 Andy Grover <agrover@redhat.com> - 1.0-1
- Initial packaging
